MATLAB and Simulink resources for Arduino, LEGO, and Raspberry Pi

Learn moreOpportunities for recent engineering grads.

Apply Today**New to MATLAB?**

Roger Stafford submitted a Comment to Solution 51711

Yes, you are right S L, a direct brute force summation is surely not the most efficient method of determining the sums of these series. You are the only one so far with a valid solution that met the 50*eps tests. In fact your answers are very much closer than that to mine, within a few eps. However, there is another single analytic function that can be used which is much simpler and would undoubtedly give you a lower "size" than 92 if you or others can find it. R. Stafford

on 26 Feb 2012

Roger Stafford submitted Solution 51143 to Problem 263. Nonuniform quantizer as a piecewise constant function

on 25 Feb 2012

Roger Stafford received Promoter badge for Problem 331. Compute Area from Fixed Sum Cumulative Probability

on 24 Feb 2012

Roger Stafford submitted a Comment to Solution 50615

I am pleased that you solved this problem, David. Congratulations! I didn't find any particularly easier way of solving it. The crucial step is showing that the probability density is proportional to your 1/y^3 for points within the corresponding "kite-shaped region". I used the Jacobian between two coordinate systems to show that. After dividing that region into two halves everything falls into place, though in my dotage I had to make heavy use of the Symbolic Toolbox to check for errors. (I hope this problem will serve as a warning to people who recommend this method of producing random numbers with a predetermined sum.) R. Stafford

on 24 Feb 2012

Roger Stafford submitted a Comment to Solution 47851

It is inherent in the definition of P here that the density, dP/dA, must increase as P increases and therefore dA/dP must decrease. In your proposed solution you have dA/dP increasing as P increases. R. Stafford

on 23 Feb 2012

Roger Stafford submitted Problem 331. Compute Area from Fixed Sum Cumulative Probability to Community

on 17 Feb 2012

Roger Stafford submitted Solution 33215 to Problem 230. Project Euler: Problem 1, Multiples of 3 and 5

on 8 Feb 2012

Roger Stafford submitted Solution 32173 to Problem 277. chance in percent for minimum K heads when a good coin is tossed N times?

on 7 Feb 2012

Roger Stafford submitted Solution 32040 to Problem 51. Find the two most distant points

on 7 Feb 2012

Roger Stafford submitted Solution 32030 to Problem 249. Project Euler: Problem 9, Pythagorean numbers

on 7 Feb 2012

Roger Stafford submitted Solution 30451 to Problem 232. Project Euler: Problem 2, Sum of even Fibonacci

on 6 Feb 2012

Roger Stafford submitted Solution 30422 to Problem 239. Project Euler: Problem 5, Smallest multiple

on 6 Feb 2012

Roger Stafford submitted Solution 30400 to Problem 240. Project Euler: Problem 6, Natural numbers, squares and sums.

on 6 Feb 2012

Roger Stafford submitted Solution 12706 to Problem 39. Which values occur exactly three times?

on 29 Jan 2012

Roger Stafford submitted Solution 12093 to Problem 69. Find the peak 3n+1 sequence value

on 28 Jan 2012

Roger Stafford submitted Solution 10811 to Problem 131. Least common multiple of many numbers

on 28 Jan 2012

Roger Stafford submitted Solution 10798 to Problem 132. given 3 sides, find area of this triangle

on 28 Jan 2012

Roger Stafford submitted Solution 7464 to Problem 36. Find relatively common elements in matrix rows

on 27 Jan 2012